/*
 * main.cpp
 *
 *  Created on: 16. 01. 2016
 *      Author: wn
 */

#include <msp430g2553.h>
#include <stdint.h>
#include <intrinsics.h>
#include <isr_compat.h>

#include "engine.h"
#include "hmi.h"
#include "uart.h"


int main() {
  WDTCTL = WDTPW | WDTHOLD;


  //engineInit();
  hmiInit();
  uartInit();

  __enable_interrupt();


  uartWrite('W');

  while (1) {
	  hmiExec();
	  //uartWrite('.');
  }
}


